commit 7b18a46ca6c44cee36ba34453d44da1762940c03
Author: Joshua Colp <jcolp@digium.com>
Date:   Thu Nov 7 10:54:31 2019 -0400

    res_pjsip_t38: Ignore already declined streams.
    
    ASTERISK-28612
    
    Change-Id: Ic430a4827ba4ceef802067a38324dce65d7304ae

diff --git a/res/res_pjsip_t38.c b/res/res_pjsip_t38.c
index 62bbb48ef2..19a5dc1cce 100644
--- a/res/res_pjsip_t38.c
+++ b/res/res_pjsip_t38.c
@@ -760,6 +760,12 @@ static int negotiate_incoming_sdp_stream(struct ast_sip_session *session, struct
 		return 0;
 	}
 
+        /* If port is 0, ignore this media stream */
+	if (!stream->desc.port) {
+		ast_debug(3, "Media stream '%s' is already declined\n", session_media->stream_type);
+		return 0;
+	}
+
 	if (!(state = t38_state_get_or_alloc(session))) {
 		return 0;
 	}
